Home
last modified time | relevance | path

Searched refs:sh (Results 1 – 25 of 36) sorted by relevance

12

/coreutils/tests/
Dlocal.mk26 TEST_EXTENSIONS = .sh .pl .xpl
98 tests/factor/run.sh \
99 tests/factor/create-test.sh \
102 tests/init.sh \
110 tests/chown/basic.sh \
111 tests/cp/cp-a-selinux.sh \
112 tests/cp/preserve-gid.sh \
113 tests/cp/special-bits.sh \
114 tests/cp/cp-mv-enotsup-xattr.sh \
115 tests/cp/capability.sh \
[all …]
Dinit.sh75 (PATH='/bin;/bin'; FPATH=$PATH; sh -c :) >/dev/null 2>&1 \
76 && { (PATH='/bin:/bin'; FPATH=$PATH; sh -c :) >/dev/null 2>&1 \
120 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
121 emulate sh
197 /bin/sh bash dash zsh pdksh fail
577 if test -f /bin/sh$EXEEXT; then
578 BOURNE_SHELL=/bin/sh
580 BOURNE_SHELL=sh
Denvvar-check1 # -*- sh -*-
/coreutils/src/
Dlonglong.h297 #define sub_ddmmss(sh, sl, ah, al, bh, bl) \ argument
302 (sh) = (ah) - (bh) - 1; \
304 (sh) = (ah) - (bh); \
373 #define add_ssaaaa(sh, sl, ah, al, bh, bl) \ argument
375 : "=r" (sh), "=&r" (sl) \
377 #define sub_ddmmss(sh, sl, ah, al, bh, bl) \ argument
379 : "=r" (sh), "=&r" (sl) \
403 #define add_ssaaaa(sh, sl, ah, al, bh, bl) \ argument
405 : "=r" (sh), \
411 #define sub_ddmmss(sh, sl, ah, al, bh, bl) \ argument
[all …]
/coreutils/tests/timeout/
Dtimeout-group.sh47 cat > group.sh <<EOF
53 chmod a+x group.sh
67 setsid ./group.sh & pid=$!
Dtimeout.sh33 returns_ 2 timeout 10 sh -c 'exit 2' || fail=1
59 out=$(sleep .1 & exec timeout .5 sh -c 'sleep 2; echo foo')
/coreutils/tests/rm/
Dmany-dir-entries-vs-OOM.sh29 vm=$(get_min_ulimit_v_ du -sh d2) \
37 (ulimit -v $(($vm + 35000)) && du -sh d) || fail=1
/coreutils/scripts/git-hooks/
Dapplypatch-msg12 . git-sh-setup
Dpre-applypatch11 . git-sh-setup
/coreutils/
D.x-update-copyright5 ^tests/init\.sh$
DMakefile.am33 build-aux/gen-lists-of-programs.sh \
34 build-aux/gen-single-binary.sh \
41 gen_progs_lists = $(top_srcdir)/build-aux/gen-lists-of-programs.sh
42 gen_single_binary = $(top_srcdir)/build-aux/gen-single-binary.sh
DREADME-package-renamed-to-coreutils1 On 2002-09-01, the GNU fileutils, textutils, and sh-utils
Dcfg.mk836 ^(tests/pr/|tests/misc/nl\.sh$$|gl/.*\.diff$$|man/help2man$$)
858 NEWS|^(init\.cfg|src/df\.c|tests/df/df-P\.sh|tests/df/df-output\.sh)$$
862 (^.*/git-hooks/commit-msg|^tests/init\.sh|Makefile\.am|\.mk|.*\.texi)$$
880 ^(src/system\.h|tests/du/2g\.sh)$$
887 ^tests/(local\.mk|(init|misc/stdbuf|factor/create-test)\.sh)$$|$(_cksum)
D.gitignore31 /build-aux/install-sh
32 /build-aux/mdate-sh
208 /tests/factor/t[0-9][0-9].sh
Dbootstrap597 if test -f "$medir"/bootstrap-funclib.sh; then
600 && cmp -s "$medir"/bootstrap-funclib.sh \
602 && cmp -s "$medir"/autopull.sh "$GNULIB_SRCDIR/top/autopull.sh" \
603 && cmp -s "$medir"/autogen.sh "$GNULIB_SRCDIR/top/autogen.sh"; \
614 case $(sh -c 'echo "$1"' -- a) in
619 exec sh -c \
668 /bin/sh or the shell \$CONFIG_SHELL
836 if test -f "$medir"/autogen.sh; then
1373 /bin/sh or the shell \$CONFIG_SHELL
/coreutils/tests/tail/
Dstart-middle.sh26 sh -c 'read x; tail' < k > out || fail=1
/coreutils/tests/nice/
Dnice-fail.sh28 returns_ 2 nice sh -c 'exit 2' || fail=1 # exit status propagation
/coreutils/tests/misc/
Dnohup.sh23 nohup sh -c 'echo stdout; echo stderr 1>&2' 2>err || fail=1
Dyes.sh38 if test 4000 -eq $(sh -c 'echo $#' 0 $(seq 4000)); then
/coreutils/tests/cp/
Dparent-perm-race.sh44 timeout 10 sh -c "ls -ld d/$attr >$attr/fifo" || fail=1
/coreutils/scripts/build-older-versions/
DREADME.older-versions110 The script 'build-older-versions.sh' automatically performs the manual steps
121 ./build-older-versions.sh 5.0
122 ./build-older-versions.sh 5.97
123 ./build-older-versions.sh 6.12
124 ./build-older-versions.sh 7.6
/coreutils/tests/dd/
Dstats.sh53 timeout 60 sh -c 'wc -c < fifo > nwritten' & pid2=$!
/coreutils/tests/od/
Dod-j.sh22 for file in ${srcdir=.}/tests/init.sh /proc/version /sys/kernel/profiling; do
/coreutils/tests/chroot/
Dchroot-fail.sh31 returns_ 2 chroot / sh -c 'exit 2' || fail=1 # exit status propagation
/coreutils/tests/split/
Dfilter.sh76 returns_ 124 timeout .5 sh -c \

12